
@testset "Constructor and interface" begin
    float3 = [0.0, 1.0, 2.0]
    missing3 = Union{Missing,Float64}[missing, missing, missing]
    weather = Weather(; firstdate = Date("2000-01-01"),
                      lastdate = Date("2000-01-03"),
                      windspeed = missing3,
                      precipitation = float3,
                      sunshine = missing3,
                      cloudcover = missing3,
                      humidity = missing3,
                      meantemp = float3,
                      maxtemp = float3,
                      mintemp = float3,
                      evapotranspiration = float3)
    date = Date("2000-01-02")
    @test length(weather) == 3
    @test Ps.daynumber(weather, date) == 2
    @test Ps.windspeed(weather, date) |> ismissing
    @test Ps.precipitation(weather, date) == 1.0
    @test Ps.sunshine(weather, date) |> ismissing
    @test Ps.humidity(weather, date) |> ismissing
    @test Ps.meantemp(weather, date) == 1.0
    @test Ps.maxtemp(weather, date) == 1.0
    @test Ps.mintemp(weather, date) == 1.0
    @test Ps.evapotranspiration(weather, date) == 1.0
end
